document.addEventListener('DOMContentLoaded', () => {
  const startButton = document.getElementById('startButton');
  const quizDemo = document.getElementById('quiz-demo');
  const options = document.querySelectorAll('.option');
  let progress = 0;

  startButton.addEventListener('click', () => {
    window.scrollTo({ top: 0, behavior: 'smooth' });
    setTimeout(() => {
      startButton.closest('.hero').classList.add('hidden');
      quizDemo.classList.remove('hidden');
      animateProgress();
    }, 500);
  });

  options.forEach(option => {
    option.addEventListener('click', () => {
      progress += 25;
      updateProgress();
      if (progress >= 100) {
        showResults();
      } else {
        nextQuestion();
      }
    });
  });

  function animateProgress() {
    const progressBar = document.querySelector('.progress');
    progressBar.style.width = '25%';
  }

  function updateProgress() {
    const progressBar = document.querySelector('.progress');
    progressBar.style.width = `${progress}%`;
  }

  function nextQuestion() {
    const questions = [
      "What's your target audience size?",
      "How soon do you want to launch?",
      "What's your budget range?"
    ];
    const currentQuestion = document.querySelector('.question-container h2');
    currentQuestion.style.opacity = 0;
    
    setTimeout(() => {
      currentQuestion.textContent = questions[progress/25 - 1];
      currentQuestion.style.opacity = 1;
    }, 300);
  }

  function showResults() {
    const quizContainer = document.querySelector('.quiz-container');
    quizContainer.innerHTML = `
      <h2>Perfect! We've got your answers</h2>
      <p>Based on your responses, we recommend our Pro Plan.</p>
      <button class="cta-button">Get Started Now</button>
    `;
  }
});
